import React from 'react';

// Описание типа для пропсов компонента
interface ArticlesWordProps {
  articles: number; // Количество статей
}

const ArticlesWord: React.FC<ArticlesWordProps> = ({ articles }) => {
  const getArticleWord = (articles: number): string => {
    if (articles === 1) {
      return "статья";
    }
    if (articles >= 2 && articles <= 4) {
      return "статьи";
    }
    return "статей";
  };

  return <>{getArticleWord(articles)}</>;
};

export default ArticlesWord;
